---
title: Change Log
---


# Change Log

<div class="documentation__toc"></div>

## Introduction

All notable changes to this project will be documented in this file.

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.

### Versioning

This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### Deprecated Features

Features that are deprecated will generally be removed in the next `minor` update unless noted otherwise.

## Releases

### [1.8.7] - 2020-09-23
#### Fixed
- Fixed `empty()` calls through presenters `empty` attribute.

### [1.8.6] - 2020-09-17
#### Fixed
- Fixed issues with the migrator/migration repository.
- Fixed issues with the FieldTypeSchema.

### [1.8.5] - 2020-09-17
#### Fixed
- Fixed issue where linkifying attr may not be set.

### [1.8.4] - 2020-09-14
#### Fixed
- Fixed issues surrounding versioning.

#### Changed
- Swapped out `misd/linkify` for `vstelmakh/url-highlight`.

### [1.8.2] - 2020-09-09
#### Added
- Added ability to set filter value and active state for manual filter manipulation.


### [1.8.1] - 2020-09-02
#### Changed
- Changed `laravel/framework` dependency to `^7.0|^8.0`.


### [1.8.0] - 2020-09-01
#### Changed
- Changed `laravel/framework` dependency to `^7.0`.
- Updated supporting dependencies for Laravel 7.

#### Removed
- Removed `leafo/scssphp` dependency.
- Removed `natxet/CssMin` dependency.
- Removed `mrclay/jsmin-php` dependency.
- Removed `cartalyst/assetic` dependency.
- Removed `oyejorge/less.php` dependency.
- Removed `ptachoire/cssembed` dependency.
- Removed `coffeescript/coffeescript` dependency.
- Removed `barryvdh/laravel-httpcache` dependency.
- Removed `teamtnt/laravel-scout-tntsearch-driver` dependency.

#### Added
- Added the [console](/documentation/streams-platform/1.8/reference/helpers#console) helper function.
- Added the [decorate](/documentation/streams-platform/1.8/reference/helpers#decorate) helper function.
- Added the [undecorate](/documentation/streams-platform/1.8/reference/helpers#undecorate) helper function.

#### Fixed
<<<<<<< HEAD
- Fixed issue with validation extender not passing along unique field types per extending validation rule.
=======
- Fixed edge case situation in parser where route parameters need a bit of cleaning.


### [1.7.11] - 2019-10-10
#### Fixed
- Fixed issue where translated entries were potentially duplicating results due to default ordering.


### [1.7.10] - 2019-09-30
#### Fixed
>>>>>>> 1.7
- Fixed issue where responses without cookie support (media stream) would result in fatal errors.
- Fixed issue with installer where `.env` was not reloading properly since moving to Laravel 5.8.
- Fixed issue where responses without cookie support (media stream) would result in fatal errors.
<<<<<<< HEAD
- Fixed issue where installation was not properly dumping the autoloader for generated models.
=======


### [1.7.8] - 2019-09-19
#### Fixed
- Fixed issue with installer where .env was not reloading properly since moving to Laravel 5.8


### [1.7.7] - 2019-09-11
#### Fixed
- Fixed issue with button guesser leaving route objects in buttons and thus breaking form views.


### [1.7.6] - 2019-09-10
#### Changed
- Cleaned up message output from `build` command.

#### Fixed
- Fixed issue with validation extender not passing along unique field types per extending validation rule.


### [1.7.5] - 2019-09-09
#### Fixed
- Fixed issue with `inline` images when using SVG sources.
- Fix active theme resolution in view loader. View composer was unaffected.

#### Changed
- Changed `ViewOverrides` collection to force dot notation view names.


### [1.7.4] - 2019-09-06
#### Added
- Added coverage configuration to `phpunit.stub`.

#### Changed
- Bumped to `"axios": "^0.19",` in `package.theme.stub`.

#### Fixed
- Fixed `cleanup` functionality in `\Anomaly\Streams\Platform\Field\FieldRepository`.
- Fixed `cleanup` functionality in `\Anomaly\Streams\Platform\Stream\StreamRepository`.


### [1.7.3] - 2019-08-29
#### Fixed
- Fixed issue where `\Anomaly\Streams\Platform\Database\Migration\Console\MigrateMakeCommand` was out of date with Laravel. Threw error on missing `--fullpath` option.


### [1.7.2] - 2019-08-18
#### Fixed
- Fixed issue where users would be getting logged out after viewing pages cached by HTTPCACHE.

#### Changed
- Moved cookie middleware in `Kernel` to after session start just like Laravel.

#### Added
- Added `session_proxy` boolean flag to mark logged in users to pre-boot services like HTTPCACHE.


### [1.7.1] - 2019-08-16
#### Added
- Added `config:cache` control to `refresh` command.
- Added `route:cache` control to `refresh` command.
- The `refresh` command now clears `bootstrap/cache/services.php`.
- The `refresh` command now clears `bootstrap/cache/packages.php`.


### [1.7.0] - 2019-08-06
#### Changed
- Updated `laravel/framework` to `5.8.*`.
- Updated `laravel/scout` to `7.1.*`.
- Updated `intervention/image` to `2.5.*`.
- Updated `laravelcollective/html` to `5.8.*`.
- Updated `teamtnt/laravel-scout-tntsearch-driver` to `7.1.*`.
- Changed `add` to `include` in `\Anomaly\Streams\Platform\View\ViewIncludes` to comply with Laravel 5.8.
- Changed all instances of `\Illuminate\Contracts\Events\Dispatcher` to use `event`.

#### Removed
- Removed `symfony/class-loader` dependency (it's in Laravel).
- Removed `add` method from `\Anomaly\Streams\Platform\View\ViewOverrides` (use `put`).
- Removed `add` method from `\Anomaly\Streams\Platform\View\ViewMobileOverrides` (use `put`).
- Removed unused `\Anomaly\Streams\Platform\Stream\Console\Event\StreamsIsRefreshing`.

#### Added
- Added `streams:index` to `build` command.
>>>>>>> 1.7
