---
title: Upgrade Guide
---

# Upgrade Guide

<div class="documentation__toc"></div>

## Upgrading from 1.6 to 1.7

**Estimated Upgrade Time: 3 - 5 Minutes**

> We attempt to document every possible breaking change. Since some of these breaking changes are in obscure parts of the framework only a portion of these changes may actually affect your application.{.notice}

### Replace TNT Dependency

The Search Module is now the default engine for searching using basic a basic multi-stream index in database.

To pull TNT back in for search configurations using it simply require it in your project:

```bash
composer require teamtnt/laravel-scout-tntsearch-driver
```

### Clean Up

It's a good idea to rebuild the system and freshen up caching and performance utilities:

```bash
php artisan build
php artisan refresh
```
