---
title: Configuration
---

# Configuration

<div class="documentation__toc"></div>

## Introduction

Streams configuration can be found in `vendor/anomaly/streams-platform/resources/config`. It is a good idea to look through the configuration files to get acquainted with what's available.

[Configuration Reference](../reference/configuration){.link}

## Configuring the Streams Platform

### Environmental Configuration

You will notice in looking through the available cofiguration that much of it is available through environmental configuration. If possible this is the preferred way to configure the Streams Platform.

### Runtime Configuration

You can override streams configuration at runtime by using the `config()` helper.

```php
config(['streams::system.force_ssl' => true]);
```

### Publishing Configuration

Some configuration is only accessible through the configuration files. In order to modify those vaues without modifying dependency files you will need to `publish` the configuration with the following command:

```php
php artisan streams:publish
```

This will copy all configuration to `resources/{application}/streams/config` so that you can modify them. The published configuration is merged into existing configuration.

> Keep published files in mind when updating your system and it's addons. Manual changes may be required to maintain functionality.{.notice}

### Settings and Preferences

The [Settings](https://pyrocms.com/documentation/settings-module) and [Preferences](https://pyrocms.com/documentation/preferences-module) modules both `bind` values to configuration. This let's you manage much of the configuration for the Streams Platform via the control panel. 

You can see what settings are bound to what configuration by reviewing the settings and preferences configuration found within the following files:

```bash
vendor/anomaly/streams-platform/resources/config/settings/settings.php
vendor/anomaly/streams-platform/resources/config/preferences/preferences.php
```
